%insert .eps figures and overlay them with latex boxes 
%if the figure is inserted at the beginning of the line
%then \colwidth (another macro) determines the width that
%remains to the right edge of the text.
%usage:
%first fix the figure width by
%       ->    \setfigwidth{?mm} or {\textwidth}
%      or other length. It also may be set by
%      \setlength{\figwidth}{?mm} or
%      \setlength{\figwidth}{\textwidth} or similar
%      but then the \colwidth is not usable in the forth step.
%      If simple insertion of a graphics is required, just
%      the 'insFig{name.eps}{width} instruction is necessary.
%second insert the overalying latex boxes {text} by repeated
%             \insinFig{dy}{dx}{text}%
%      
%       |              figwidth                     | colwidth |
%       --------------------------------------------
%       |                |                         |
%       |                | dy.figwidth             |
%       |   dx.figwidth  |                         |
%       | - - - - - - - -{text}                    |
%       |                                          |
%       |__________________________________________|
%
%
%      text may be nearly anything in latex. Mind the % at the
%      end of the line which concatenates successive '\insinFig'
%      lines in order to avoid interword spaces being inserted
%      between the boxes of zero width which would shift the reference
%      point to the right by the interword space.
%third insert the .eps figure by
%       ->   \insFig{name.eps}{\figwidth} 
%     where name.eps is the postscript file
%fourth write into the remaining column at the right by
%       ->   \begin{minipage}[t]{\colwidth}
%%%%%
%
%
%the macro is primarily for use with xfig produced pictures
%and that's why the figure is rotated. The text(s) may well
%break the figure frame - their position is to be determined
%by trials.
\newlength{\figwidth}
\newlength{\colwidth}
\newcommand{\setfigwidth}[2][\textwidth]{\setlength{\figwidth}{#2}
   \setlength{\colwidth}{#1}
   \addtolength{\colwidth}{-1.\figwidth}}
\newcommand{\setfigwidthinlist}[1]{\setlength{\figwidth}{#1}
   \setlength{\colwidth}{\textwidth}
   \addtolength{\colwidth}{-1.\figwidth}
   \addtolength{\colwidth}{-1.\leftmargin}}
\newcommand{\insinFig}[3]
  {\makebox[0pt][l]{\raisebox{-#1\figwidth}{\hspace{#2\figwidth} #3}}}
\newcommand{\insFig}[2]
   {\makebox[#2][l]{\resizebox{#2}{!}%
   {\rotatebox{-90}{\includegraphics{#1}}}}}
\newcommand{\insFigUp}[2]
   {\makebox[#2][l]{\resizebox{#2}{!}{\includegraphics{#1}}}}
\newcommand{\insFigDown}[2]
   {\makebox[#2][l]{\resizebox{#2}{!}%
   {\rotatebox{90}{\includegraphics{#1}}}}}
%
%  Tool for figure inlets in the text and overlaying the figures
%  with latex text
%
%  the position of the text is given in natural (x,y) relative
%  coordinates with respect to the \figwidth. 
%  usage:
%first step: \setfigwidth{?\textwidth}
%       which sets the figure width \figwidth
%
%second: \figdata{name.eps}
%     which extracts the \figheight= aspect of name.eps * \figwidth
%       and \figname  from name.eps
%
%third: \bemifi
%      which starts minipage to contain the figure and caption
%       needs: \figwidth
% 
%fourth: insert the overlaid text by repeated use of:
%          \insiFig{dy}{dx}{text}%
%       |              figwidth                     | colwidth |
%       --------------------------------------------
%       |                                          |
%       |                                          |
%       |   dx.figwidth                            |
%       | - - - - - - - -{text}                    |
%       |                | dy.figheight            |
%       |________________|_________________________|
%
%       needs: \figwidth
%
%fifth: insert the 'name.eps' figure by:
%       \insFigU  or \insFigUF (with frame)
%       needs: \figwidth \figname (supplied by \figdata)
%sixth: add whatever here (below the figure). For example
%       caption by \begin{figsnum} .... \label{..} \end{figsnum}
%       (newtheorem environment)
%seventh: \enmifi  needs: \bemifi
%eigth: \becol
%       needs: \colwidth supplied by \setfigwidth
%       ....
%       in the column right from the figure set text
%       ....
%       \encol 
%
\newlength{\figheight}
\newcommand{\figname}{}
\newcommand{\figdata}[1]
  {\renewcommand{\figname}{#1}
   \settoheight{\figheight}{\insFigUp{#1}{\figwidth}}}
\newcommand{\insiFig}[3]
  {\makebox[0pt][l]{\raisebox{#2\figheight}{\hspace{#1\figwidth} #3}}}
\newcommand{\insFigU}
   {\makebox[\figwidth][l]{\resizebox{\figwidth}{!}% 
   {\includegraphics{\figname}}}}
\newcommand{\insFigUF}
   {\framebox[\figwidth][l]{\resizebox{\figwidth}{!}% 
   {\includegraphics{\figname}}}}
\newcommand{\insFigR}
   {\makebox[\figwidth][l]{\resizebox{\figwidth}{!}%
   {\rotatebox{-90}{\includegraphics{\figname}}}}}
\newenvironment{colfill}[2][0pt]
  {
  \hspace{#2}%
  \addtolength{\colwidth}{-#2}%
  \addtolength{\colwidth}{-#1}%
  \begin{minipage}{\colwidth}\vspace*{1ex}%
  }
  {\vspace*{1ex}\end{minipage}}
\newcommand{\bemifi}{\begin{minipage}{\figwidth}\vspace*{1ex}}
\newcommand{\enmifi}{\vspace*{1ex}\end{minipage}}
\newcommand{\becol}{\begin{colfill}{5mm}}
\newcommand{\encol}{\end{colfill}}
% usage: \begin{colfill}{7mm} ..... \end{colfill}  
% usage: \begin{colfill}[2em]{7mm} ..... \end{colfill}
% where 7mm is the separation  of the text in the column from
% the figure. The environment uses the \colwidth length provided
% by \setfigwidth command. \colwidth is modified here! and should
% be restored by \setfigwidth before the next use.
% The optional parameter (2em) need be used when list environments
% are used inside the column. For unknown reason the column extends
% then 2em beyond textwidth. The parameter restores the correct
% right alignement of the column. Can also be used to vary the
% right alignement of the column arbitrarily.
%
%
%This is temporary for Vacha, however, it shows how a box
%can be cut of a  picture ([left lower corner][r. u. corner])
%the box is then treated as the size of the picture in
%further processing (the material outside the box is kept)
% \includegraphics*[][]{} clips the the picture so that
% everything outside the box is removed
\newcommand{\insFigVach}[2]
   {\makebox[#2][l]{\resizebox{#2}{!}
   {\rotatebox{-90}{\includegraphics*[0mm,90mm][200mm,270mm]
       {#1}}}}\newpage}
\newcommand{\clipFig}[6]
   {\makebox[#2][l]{\resizebox{#2}{!}
   {\includegraphics*[#3,#4][#5,#6] {#1}}}}
\newcommand{\clipFigUp}[6]
   {\makebox[#2][l]{\resizebox{#2}{!}
   {\rotatebox{-90}
   {\includegraphics*[#3,#4][#5,#6] {#1}}}}}
%% For FEAT4 pictures:
%clipping from FEAT4 .ps pictures:
%      *******************************
%  BB1 *  BB4 ^   |    |             *
%----->*      | a:V    |             *
%      *   b: |*************         *
%------*------>*       |   *         *
%      *      |*       |d: *         *--postscript box
%------*-------*-------|-->*         *
%      *      |*     c:V   *---------*--clipped part
%      *      |*************   BB3   *
%------*---------------------------->*
%      *******************************
%   BB2 ^     |
%       |     |
%   %%BoundingBox: BB1 BB2 BB3 BB4
%\clipFigUp{S40F1M.EPS}{\figwidth}{a}{b}{c}{d}
% does not work quite precisely need be adjusted manually
\newcommand{\clipFeat}[6]
   {\makebox[#2][l]{\resizebox{#2}{!}
   {
    \rotatebox{-90}
   {\includegraphics*[#4,#3][#6,#5] {#1}}}}}
